Bug 99278 - Activate device on Computer Start not recognized for ip aliases
Activate device on Computer Start not recognized for ip aliases
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-16 17:16 EDT by Mike Schwarz
Modified: 2008-05-06 19:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:56:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Schwarz 2003-07-16 17:16:14 EDT
Description of problem:
When configuring a network interface to activate on computer start (eth0) and an
alias to not activate on start (eth0:1), both interfaces get started on boot or
with ifup eth0.

Version-Release number of selected component (if applicable):
redhat-config-network-1.2.0-2
initscripts-7.14-1

How reproducible:
always

Steps to Reproduce:
1. Configure a eth0 interface (mine is a static IP) and yes to 'Activate on
computer start'
2. Configure a eth0:1 interface and no to 'Activate on computer start'
3. ifdown eth0;  ifup eth0
     or
   reboot
4. ifconfig
    
Actual results:
eth0:1 is active and up

Expected results:
only eth0 is up.  eth0:1 should not be configured.

Additional info:
This is an interaction problem between redhat-config-network and ifup-aliases. 
redhat-config-network sets an ONBOOT variable and ifup-aliases looks for an
ONPARENT variable to control this.  ifup-aliases doesn't distinguish between
boot time and running the ifup command.  Also the initscript documentation
doesn't mention the ONPARENT variable.

See bug #90231 submitted to ifup-aliases.
Comment 1 Bug Zapper 2008-04-03 11:28:22 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 19:56:16 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.